[arch-commits] CVS update of arch/build/base/gcc (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jun 24 13:48:44 EDT 2007


    Date: Sunday, June 24, 2007 @ 13:48:44
  Author: andyrtr
    Path: /home/cvs-arch/arch/build/base/gcc

Modified: PKGBUILD (1.69 -> 1.70)

fixed smp build failures


----------+
 PKGBUILD |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)


Index: arch/build/base/gcc/PKGBUILD
diff -u arch/build/base/gcc/PKGBUILD:1.69 arch/build/base/gcc/PKGBUILD:1.70
--- arch/build/base/gcc/PKGBUILD:1.69	Sun Jun 24 11:42:00 2007
+++ arch/build/base/gcc/PKGBUILD	Sun Jun 24 13:48:44 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.69 2007/06/24 15:42:00 jgc Exp $
+# $Id: PKGBUILD,v 1.70 2007/06/24 17:48:44 andyrtr Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=gcc
 pkgver=4.2.0
@@ -9,7 +9,7 @@
 license=('GPL' 'LGPL')
 url="http://gcc.gnu.org"
 depends=('glibc>=2.6' 'binutils>=2.17.50.0.17')
-options=('!libtool' '!makeflags')
+options=('!libtool')
 source=(#ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,objc}-${pkgver}.tar.bz2
 	ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,objc}-${_snapshot}.tar.bz2
 	ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-man-4.2.0.tar.bz2
@@ -45,7 +45,7 @@
       --libexecdir=/usr/lib --enable-clocale=gnu --disable-libstdcxx-pch \
       --with-cpu=generic
   make bootstrap || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make -j1 DESTDIR=${startdir}/pkg install || return 1
   mkdir -p ${startdir}/pkg/lib
   (cd ${startdir}/pkg/lib; ln -s ../usr/bin/cpp)
   (cd ${startdir}/pkg/usr/bin; ln -sf gcc cc; ln -sf g++ c++)




More information about the arch-commits mailing list